%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if 0%{?fedora}
%global with_python3 1
%endif

%{!?py2ver: %global py2ver %(%{?__python2} -c 'import sys; print(sys.version[0:3])' 2>/dev/null)}
%if 0%{?with_python3}
%{!?py3ver: %global py3ver %(%{?__python3} -c 'import sys; print(sys.version[0:3])' 2>/dev/null)}
%endif

%global commit 9b9fddf596a77e6b7e0407f0e45d02ca3a5ba5e1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-stomper
Version:        0.4.0
Release:        2%{?dist}
Summary:        A python client implementation of the STOMP protocol
Group:          Development/Languages
License:        ASL 2.0
URL:            https://pypi.io/project/stomper

Source0:        https://pypi.io/packages/source/s/stomper/stomper-%{version}.tar.gz
# https://github.com/oisinmulvihill/stomper/pull/11
Patch0:         python-stomper-encoding.patch

BuildArch:      noarch

%description
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%package -n python2-stomper
Summary:        A python client implementation of the STOMP protocol
Group:          Development/Languages
%{?python_provide:%python_provide python2-stomper}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-future

Requires:       python2-future

%if 0%{?el5}
BuildRequires:  python-uuid
Requires:       python-uuid
%endif

%description -n python2-stomper
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%if 0%{?with_python3}
%package -n python3-stomper
Summary:        A python client implementation of the STOMP protocol
Group:          Development/Languages
%{?python_provide:%python_provide python3-stomper}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-stomper
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.
%endif

%prep
%setup -q -n stomper-%{version}

%patch0 -p1

%build
%{py2_build}
%{py3_build}

%install
%{py2_install}
%{py3_install}

%check
PYTHONPATH=. nosetests-%{py2ver} -q
PYTHONPATH=. nosetests-%{py3ver} -q

%files -n python2-stomper
%doc README.rst
%{python2_sitelib}/stomper*

%files -n python3-stomper
%doc README.rst
%{python3_sitelib}/stomper*

%changelog
* Mon Jul 11 2016 Ralph Bean <rbean@redhat.com> - 0.4.0-2
- Explicit py2 and py3 subpackages.
- Patch implicit encoding in setup.py.

* Mon Jul 11 2016 Ralph Bean <rbean@redhat.com> - 0.4.0-1
- new version
- New dep on python-future

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 21 2015 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- new version

* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 0.2.9-1
- New upstream supporting STOMP-1.1.
- Use github tarball, https://github.com/oisinmulvihill/stomper/issues/8
- Use python2 macros.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Luke Macken <lmacken@redhat.com> - 0.2.8-1
- Update to 0.2.8 (#949150)
- Update the URLs
- Modernize the specfile

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 21 2010 Luke Macken <lmacken@redhat.com> - 0.2.4-1
- Update to 0.2.4 (#639565)

* Tue Sep 07 2010 Luke Macken <lmacken@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Sep 03 2009 Luke Macken <lmacken@redhat.com> - 0.2.2-9
- Require python-uuid when using Python2.4 only
- Run the test suite in %%check

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 09 2009 Silas Sewell <silas at sewell ch> - 0.2.2-7
- Remove Python version dependency

* Sun Mar 29 2009 Silas Sewell <silas at sewell ch> - 0.2.2-6
- Fix dependencies

* Thu Mar 26 2009 Silas Sewell <silas at sewell ch> - 0.2.2-5
- Update package name to conform to Fedora naming standards
- Change define to global

* Fri Mar 20 2009 Silas Sewell <silas at sewell ch> - 0.2.2-4
- Update upstream package to remove hidden files

* Thu Mar 05 2009 Silas Sewell <silas at sewell ch> - 0.2.2-3
- Manually remove hidden files

* Wed Dec 17 2008 Silas Sewell <silas at sewell ch> - 0.2.2-2
- Increase Python requirements to 2.5 because stomper uses uuid

* Wed Dec 17 2008 Silas Sewell <silas at sewell ch> - 0.2.2-1
- Initial package
